MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026468Open CASCADE[OCCT] OCCT:Codingpublic2015-07-22 10:342015-10-23 20:51
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026468: Out of range exception on current master
DescriptionAfter integration 26351 the following lines were added:

    const Standard_Integer
        aFirstIdx = TheCurveTool::BSpline(aCurve)->FirstUKnotIndex(),
        aLastIdx = TheCurveTool::BSpline(aCurve)->LastUKnotIndex();
      // const reference can not be used due to implementation of BRep_Adaptor.
      TColStd_Array1OfReal aKnots(aFirstIdx, aLastIdx);
      TheCurveTool::BSpline(aCurve)->Knots(aKnots);

When bspline parameters lies inside the knots space, where will be exception in Knots method:

  Standard_DimensionError_Raise_if
    (K.Length() != knots->Length(), "Geom_BSplineCurve::Knots");
  K = knots->Array1();
Steps To Reproducetest boolean bsection M8
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026605closedbugmaster Open CASCADE Possible array out of bounds read in Extrema_GExtPC.gxx 

-  Notes
(0043278)
git (administrator)
2015-07-22 10:36

Branch CR26468 has been created by aml.

SHA-1: ff26a7551fae207a380f10b9c8b0ab1dedcd9f79


Detailed log of new commits:

Author: aml
Date: Wed Jul 22 10:35:37 2015 +0300

    0026468: Out of range exception on current master
    
    Problem with different ranges fixed.
(0043279)
aml (developer)
2015-07-22 10:36

Dear msv,
Please check branch CR26468.
(0043282)
git (administrator)
2015-07-22 11:34

Branch CR26468 has been updated forcibly by aml.

SHA-1: e2f9e136177d92ba41664c02d04e52d74cf449b5
(0043283)
msv (developer)
2015-07-22 11:38

Reviewed.
(0043291)
git (administrator)
2015-07-22 14:46

Branch CR26468 has been updated by aml.

SHA-1: 3351e0af37f1c377eeca62f98dd2a7c1206b42c5


Detailed log of new commits:

Author: aml
Date: Wed Jul 22 14:45:46 2015 +0300

    test cases update.

(0044170)
git (administrator)
2015-08-14 10:54

Branch CR26468 has been deleted by inv.

SHA-1: 3351e0af37f1c377eeca62f98dd2a7c1206b42c5

- Related Changesets
occt: master 738d336b
Timestamp: 2015-07-22 13:13:46
Author: aml
Committer: bugmaster
Details ] Diff ]
0026468: Out of range exception on current master

Problem with different ranges fixed.

test cases update.
mod - src/Geom/Geom_BSplineCurve_1.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BSplineCurve_1.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_20 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_21 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_22 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_24 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_53 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-22 10:34 aml New Issue
2015-07-22 10:34 aml Assigned To => aml
2015-07-22 10:36 git Note Added: 0043278
2015-07-22 10:36 aml Note Added: 0043279
2015-07-22 10:36 aml Assigned To aml => msv
2015-07-22 10:36 aml Status new => resolved
2015-07-22 11:34 git Note Added: 0043282
2015-07-22 11:38 msv Note Added: 0043283
2015-07-22 11:38 msv Assigned To msv => bugmaster
2015-07-22 11:38 msv Status resolved => reviewed
2015-07-22 14:46 git Note Added: 0043291
2015-07-23 11:55 bugmaster Changeset attached => occt master 738d336b
2015-07-23 11:55 bugmaster Status reviewed => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-08-14 10:54 git Note Added: 0044170
2015-08-24 14:58 abv Relationship added child of 0026351
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-09-16 15:23 aml Relationship added related to 0026605
2015-10-16 14:55 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker